| FlexDoc/XML XSDDoc Demo | XML Schemas for DITA 1.1

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML Schema "taskMod.xsd"
Target Namespace:
{no namespace}
Defined Components:
elements (25 global), complexTypes (25), simpleTypes (1), element groups (1), attribute groups (1)
Default Namespace-Qualified Form:
Local Elements: qualified; Local Attributes: unqualified
Schema Location:
https://www.flexdoc.xyz/demo/xsd/dita11/taskMod.xsd; see XML source
Imports Schemas (2):
ditaarch.xsd [src], xml.xsd [src]
Redefined in Schemas (1):
ditabase.xsd [src]

All Element Summary
chdesc |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of chdesc.class)
Content: | mixed, 18 attributes, 57 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <chdesc> element is a description of an option that a user chooses while performing a step to accomplish a task. »
chdeschd |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of chdeschd.class)
Content: | mixed, 18 attributes, 57 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <chdeschd> option provides a specific label for the list of descriptions of options that a user must choose to accomplish a step of a task. »
chhead |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of chhead.class)
Content: | complex, 17 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <chhead> element is a container inside the <choicetable> element that provides specific heading text to override the default Options and Description headings. »
choice |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of choice.class)
Content: | mixed, 17 attributes, 60 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
Each <choice> element describes one way that the user could accomplish the current step.
choices |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of choices.class)
Content: | complex, 17 attributes, 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <choices> element contains a list of <choice> elements. »
choicetable |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of choicetable.class)
Content: | complex, 24 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <choicetable> element contains a series of optional choices available within a step of a task.
choption |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of choption.class)
Content: | mixed, 18 attributes, 57 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <choption> element describes an option that a user could choose to accomplish a step of a task. »
choptionhd |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of choptionhd.class)
Content: | mixed, 18 attributes, 57 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <choptionhd> element provides a specific label for the list of options that a user chooses from to accomplish a step. »
chrow |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of chrow.class)
Content: | complex, 17 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <chrow> element is a container inside the <choicetable> element. »
cmd |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of cmd.class)
Content: | mixed, 18 attributes, 40 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The command (<cmd>) element is required as the first element inside a <step>. »
context |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of context.class)
Content: | mixed, 17 attributes, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <context> section of a task provides background information for the task. »
info |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of info.class)
Content: | mixed, 17 attributes, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The information element (<info>) occurs inside a <step> element to provide additional information about the step.
postreq |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of postreq.class)
Content: | mixed, 17 attributes, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <postreq> element describes steps or tasks that the user should do after the successful completion of the current task. »
prereq |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of prereq.class)
Content: | mixed, 17 attributes, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The pre-requisite (<prereq>) section of a task should document things the user needs to know or do before starting the current task. »
result |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of result.class)
Content: | mixed, 17 attributes, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <result> element describes the expected outcome for the task as a whole.
step |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of step.class)
Content: | complex, 17 attributes, 8 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <step> element represents an action that a user must follow to accomplish a task. »
stepresult |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of stepresult.class)
Content: | mixed, 17 attributes, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <stepresult> element provides information on the expected outcome of a step. »
steps |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of steps.class)
Content: | complex, 17 attributes, 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <steps> section of a task provides the main content of the task topic. »
steps-unordered |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of steps-unordered.class)
Content: | complex, 17 attributes, 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
Like the <steps> element, the <steps-unordered> section of a task provides the main content of the task topic, but particularly for cases in which the order of steps may vary from one situation to another. »
stepxmp |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of stepxmp.class)
Content: | mixed, 17 attributes, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The step example (<stepxmp>) element is used to illustrate a step of a task. »
substep |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of substep.class)
Content: | complex, 17 attributes, 5 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
A <substep> element has the same structure as a <step>, except that it does not allow lists of choices or substeps within it, in order to prevent unlimited nesting of steps.
substeps |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of substeps.class)
Content: | complex, 17 attributes, 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <substeps> element allows you to break a step down into a series of separate actions, and should be used only if necessary. »
task |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of task.class)
Content: | complex, 20 attributes, 12 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations
The <task> element is the top-level element for a task topic. »
taskbody |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of taskbody.class)
Content: | complex, 10 attributes, 11 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <taskbody> element is the main body-level element inside a task topic. »
tutorialinfo |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of tutorialinfo.class)
Content: | mixed, 17 attributes, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The tutorial info (<tutorialinfo>) element contains information that is included in a step when a task is part of a tutorial. »

Complex Type Summary
chdesc.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 57 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
chdeschd.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 57 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
chhead.class |
Namespace: | {no namespace}
Content: | complex, 16 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
choice.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 60 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
choices.class |
Namespace: | {no namespace}
Content: | complex, 16 attributes, 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
choicetable.class |
Namespace: | {no namespace}
Content: | complex, 23 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declarations of 5 attributes
Referenced: | by 1 location
choption.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 57 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
choptionhd.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 57 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
chrow.class |
Namespace: | {no namespace}
Content: | complex, 16 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
cmd.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 40 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
context.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
info.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
postreq.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
prereq.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
result.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
step.class |
Namespace: | {no namespace}
Content: | complex, 16 attributes, 8 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
stepresult.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
steps-unordered.class |
Namespace: | {no namespace}
Content: | complex, 16 attributes, 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
steps.class |
Namespace: | {no namespace}
Content: | complex, 16 attributes, 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
stepxmp.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
substep.class |
Namespace: | {no namespace}
Content: | complex, 16 attributes, 5 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
substeps.class |
Namespace: | {no namespace}
Content: | complex, 16 attributes, 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
task.class (ver 1) |
Namespace: | {no namespace}
Content: | complex, 18 attributes, 12 elements
Defined: | globally; see XML source
Includes: | declarations of 4 attributes
Redefined: | with task.class in ditabase.xsd
Referenced: | by 1 location
taskbody.class |
Namespace: | {no namespace}
Content: | complex, 9 attributes, 11 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
tutorialinfo.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 59 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location

Simple Type Summary
importance-att-nodefault-task.class |
Namespace: | {no namespace}
Derived By: | restriction of importance-atts.class
Defined: | globally; see XML source
Referenced: | never

Element Group Summary
task-info-types (ver 1) |
Namespace: | {no namespace}
Content: | 6 elements
Defined: | globally; see XML source
Redefined: | with task-info-types in ditabase.xsd
Referenced: | never

Attribute Group Summary
univ-atts-no-importance-task |
Namespace: | {no namespace}
Content: | 13 attributes
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 2 locations

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.